com.avaya.deskphoneservices

## Class DeskPhoneEventsBroadcastReceiver

- java.lang.Object
- - android.content.BroadcastReceiver
  - - com.avaya.deskphoneservices.DeskPhoneEventsBroadcastReceiver

-     public class DeskPhoneEventsBroadcastReceiver
      extends android.content.BroadcastReceiver

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.content.BroadcastReceiver

      `android.content.BroadcastReceiver.PendingResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeskPhoneEventsBroadcastReceiver()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onReceive(android.content.Context context, android.content.Intent intent)`
    `static void` | `registerIntentFilters(android.content.Context context, DeskPhoneEventsBroadcastReceiver receiver)` Register to receive the `Intent`s sent from the Vantage platform.

    - ### Methods inherited from class android.content.BroadcastReceiver

      `abortBroadcast, clearAbortBroadcast, getAbortBroadcast, getDebugUnregister, getResultCode, getResultData, getResultExtras, goAsync, isInitialStickyBroadcast, isOrderedBroadcast, peekService, setDebugUnregister, setOrderedHint, setResult, setResultCode, setResultData, setResultExtras`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeskPhoneEventsBroadcastReceiver

          public DeskPhoneEventsBroadcastReceiver()

  - ### Method Detail

    - #### registerIntentFilters

          public static void registerIntentFilters(@NonNull
                                                   android.content.Context context,
                                                   DeskPhoneEventsBroadcastReceiver receiver)

      Register to receive the `Intent`s sent from the Vantage platform.
      Parameters:
        `context` - Android application context

    - #### onReceive

          public void onReceive(@NonNull
                                android.content.Context context,
                                @NonNull
                                android.content.Intent intent)

      Specified by:
        `onReceive` in class `android.content.BroadcastReceiver`